<!doctype html>
<html lang=fr>

	<?php									
		session_start(); // On récupére les données de la session
		if (!isset($_SESSION['Autorisation']))
		
	?>
	
	<head>
		<title>Ajout Acteur</title>
		<meta charset=utf-8> <meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">	
	</head>
	
	<body>
		<header>
			<?php include('includes/header_simple.inc'); 
			echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].'&nbsp;-&nbsp; '.$_SESSION['NomEtab'].'</h3>';
				$autorisation = intval($_SESSION['Autorisation']);  // On récupère le niveau d'autorisation en entier.					
				if ($autorisation ==1)
				{
        			include('includes/menu_prof.inc');//prof
        		}
    			elseif ($autorisation ==2)
    			{
					include('includes/menu_admin.inc');//admin
				}
				else
				{
					echo "PAGE ATTEINTE PAR ERRUER";
					header("Location: index.php"); 
					exit();
				}
			?>
		</header>
		<article>
			<?php
				require ('connect/mysqli_connect.php'); // recup connection
				// Récup données rentrées ds le formulaire"
				if ($_SERVER['REQUEST_METHOD'] == 'POST')
				{
					$Ident = mysqli_real_escape_string($dbcon, trim($_POST['Ident']));
					$Nom=mb_strtoupper(mysqli_real_escape_string($dbcon, trim($_POST['Nom'])));
					$Prenom=ucfirst(mysqli_real_escape_string($dbcon, trim($_POST['Prenom'])));
					$email= mysqli_real_escape_string($dbcon, trim($_POST['email']));
					$Mdp1= mysqli_real_escape_string($dbcon, trim($_POST['Mdp1']));
					$Mdp2= mysqli_real_escape_string($dbcon, trim($_POST['Mdp2']));
					$datejour = date("Y/m/d");
					
					
					// Vérif données
					$errors = array();
					
					// Vérification identifiant: ne doit contenir que de l'alphanumérique et de longueur 6 à 30
					if(!preg_match('/^[a-z0-9._-]{6,30}$/',$Ident)) 
					{
						$errors[] = ' L\'identifiant est incorrect (de 6 à 30 caractères alphanumériques minuscules sans espaces) : '.$Ident;
					}
					else
					{    //Recherche des lignes avec le même identifiant mais pas le mêm numAct
						$q = "SELECT LoginAct FROM acteur WHERE LoginAct = '$Ident'";
						$result = @mysqli_query($dbcon, $q);
						if (mysqli_num_rows($result) !== 0)// -- Identifiant déjà utilisé ??
						{
							$errors[] = ' Cet identifiant est utilisé par quelqu\'un d\'autre : '.$Ident;
						}
					}
					//VERIF NOM
					if (empty($Nom))
					{
						$errors[] ='Le nom est vide';
					}
					
					// MDP Verif Mdp1
					// 
					if (empty($Mdp1))
					{
						$errors[] ='Mot de passe vide : Entrer un mot de passe valide (6 à 12 caratères sans espace) ';
					}
					elseif(!preg_match('/^\w{6,12}$/',$Mdp1)) // le Mdp ne doit contenir que de l'alphanumérique et de longueur 6 à 12
					{
						$errors[] = 'preg_match : Mdp incorrect, Utiliser de 6 à 12 caratères/chiffres sans espace';
					}
					elseif($Mdp1 !== $Mdp2)
					{
						$errors[] = 'Les deux mots de passe sont différents';
					}
					
					if ($autorisation ==2)// Admin rente un nouveau prof
					{  
						$datenaiss=date("1900-01-01");
						$Session=0;
						$Numins="";
						$Autorisation_act=1;
						
						// RECHERCHER ETABLISSEMENT
						$codeEt= mysqli_real_escape_string($dbcon, trim($_POST['etablissement']));
						 //Recherche des lignes avec le code etablissement : il doit exister
						$q = "SELECT codeEtab FROM etablissement WHERE codeEtab = '$codeEt'";
						$result = @mysqli_query($dbcon, $q);
						
						if (mysqli_num_rows($result) !== 1)			// -- Etablissement non trouvé ??
						{
							$errors[] = ' Cet Etablissement n\'existe pas '.$codeEt;
						}
     				}	
 					elseif ($autorisation ==1)        // Prof rentre un étudiant
 					{ 
						$Numins= mysqli_real_escape_string($dbcon, trim($_POST['Numins']));
 						$Session= mysqli_real_escape_string($dbcon, trim($_POST['Session']));
						$Autorisation_act=0;
						$codeEt=$_SESSION['CodeEtab'];			// l' étudiant a le même établissment que le prof
						// Verif Date naisssance
						if(!empty($_POST['jour']) || empty($_POST['mois']) || empty($_POST['annee']))
						{//date naiss saisie
							$datenaiss = $_POST['annee'] .'-'. $_POST['mois'] .'-' . $_POST['jour'];
							if (($timestamp = strtotime($datenaiss)) === false)
							{
								$errors[] =  "bug ds date";
							}
						}	
					}
						//
					if (!empty($errors))
					{
						// Display the errors
						echo '<p class="alert echec"> ERREURS !! Pas de modifications : : <br />';
						foreach ($errors as $msg)
						{ // Echo each error.
							echo " - $msg <br />\n";
						}
						echo'</p>';
					}
					else // si pas d'erreurs on met à jour la Bdd'	
					{
						$q = "INSERT INTO acteur(LoginAct,NomAct,PrenomAct,mailAct, datenaissAct,NumInscAct,MdpAct,codeEtablissement,SessionExam,DateEnr,Autorisation)
						VALUES ('$Ident','$Nom','$Prenom','$email','$datenaiss','$Numins','$Mdp1','$codeEt','$Session','$datejour','$Autorisation_act');";				
						$req=mysqli_query($dbcon,$q) or die('<div class="alert echec">Erreur SQL!<br/>'.$q.'<br/>'.mysql_error().'</div>');
						if (mysqli_affected_rows($dbcon) == 1) 
						{ // If it ran OK
							echo '<p class="alert succes">Compte mis à jour';	
							echo'<br/>Retour au MENU PRINCIPAL &nbsp';
							if ($autorisation ==1)// prof
							{
								echo'<a href="prof_accueil.php?" class="bouton10">OK</a></p>';
							}
							elseif($autorisation ==2)// Admin
							{
								echo'<a href="admin_accueil.php?" class="bouton10">OK</a></p>';
							}
						}			
						else 
						{ 
							echo '<p class="alerte">Aucune modif réalisée</p>'; // Echo a message if the query failed
							// Error message
						}
					}
				}
				if ($autorisation ==1)
				{
        			echo'<h3>AJOUT ETUDIANT</h3>' ;//prof
        		}
    			elseif ($autorisation ==2)
    			{
					echo'<h3>AJOUT PROF</h3>';//admin	
				}	
			?>
			
			<!--                          DEBUT FORMULAIRE                        -->

			<form class="centre80" action="xx_ajout_acteur.php" method="post" autocomplete="on">	
				<span class = "commentaire">* Champs obligatoires</span>	<br/>
				<p>
					<label class="label300d" for="Nom">Nom*</label>
					<input type="text" name="Nom" size="30" maxlength="30" >
					<label class ="commentaire" for ="com"> (sans accent)</label>
					
				</p>
				<p>
					<label class="label300d" for="Prenom">Prénom</label>
					<input class="" type="text" name="Prenom" size="30" maxlength="30">
				</p>
					<label class="label300d" for="Ident">Identifiant*</label>
					<input class="" type="text" name="Ident" size="30" maxlength="30" value= <?php echo 'toto' ?> > 
					<label class ="commentaire" for ="Nom"> 6 caratères minimum minuscules sans accent</label>
				</p>	
				<p>
					<label class="label300d" for="email"> Adresse Mail</label>
					<input class="" type="text" name="email" size="30" maxlength="50">
				</p>

				<p>
					<label class="label300d" for="Mdp1">Mot de passe*</label>
					<input class="" type="password" name="Mdp1" size="12" maxlength="12"  >
					<label class ="commentaire" for ="Nom"> 6 à 12 caractères</label>
				</p>
				<p>
					<label class="label300d" for="Mdp1">Confirmez mot de passe*</label>
					<input class="" type="password"" name="Mdp2" size="12" maxlength="12"  >
				</p>	
				
				<?PHP
					
					if ($autorisation ==1)
					{//prof : on affiche les champs utiles pour l'étudiant
						echo'
								<label class="label300d" for="datenaiss">Date de naissance </label>';
								
								//Variable qui ajoutera l'attribut selected de la liste déroulante
								// Parcours du tableau<--->
	  					echo'<select name="jour" id="jour">';
								for ($i = 1; $i <= 31; $i++)
								{
	  								echo '<option value="' . $i . '"';
	  								echo ">" . $i . "</option>";
	   						}
						echo'	</select>
								<select name="mois" id="mois">';
				 				for ($i = 1 ; $i <= 12 ; $i++)
						 		{
	  								echo '<option value="' . $i . '"';
	  								echo ">" . $i . "</option>";
	   						}
				 		echo'	</select>
								<select name="annee" id="annee">';
				  				for ($i = intval(date('Y') - 16); $i >= 1960; $i--)
						 		{
	  								echo '<option value="' . $i . '"';
	  								echo ">" . $i . "</option>";
	   						}
						echo '</select>
								</p>';
						echo'
							<p>
								<label class="label300d" for="Numins">Numéro d\'incription </label>
								<input class="" type="text" name="Numins" size="10" maxlength="10"> 
							</p>
							
							<p>
								<label class="label300d"for="Annee_Examen">  Annee_Examen </label>
      						<select name="Session" >';
		 						$annee=intval(date('Y'));
			  					for ($i = $annee ; $i<= $annee+2 ; $i++)
								{
									
									echo '<option value="' . $i . '"';
									if($annee + 2 == $i)
									{
										echo 'selected="selected"';
									}
									echo ">" . $i . "</option>";
								};
						echo'</select>
							</p>';
						echo'<p></p>'	;
     				}
     				elseif ($autorisation=2)  // L'admin ajoute un prof
     				{
						///////////// Recherche ETABLISSEMENT du PROF///////////////////
						echo'<label class="label300d" for="Etab">Etablissement </label>';
						$q = "SELECT codeEtab,nomEtab FROM etablissement ORDER BY codeEtab";
						$result = @mysqli_query($dbcon, $q);
						if (mysqli_num_rows($result) !== 0)// il existe une liste d'établissements'
						{
							
							echo "<select name='etablissement'>";
							//On associe les résultats à des variables
							while ($row = mysqli_fetch_array($result, MYSQLI_BOTH))
							{
								echo '<option value="'.$row['codeEtab'].'">'.$row['codeEtab'].'- - '.$row['nomEtab'].'</option>';
							}
							echo'</select>';
						}
						echo '<br/>';
					}
				?>	
				<p class="centre40">
					<input id="submit" type="submit" name="submit" value="Ajouter">
				</p>
			</form>
		</article>		
	</body>
</html>